Loading...
Searching...
No Matches
Vector Abs
Math Functions

## Functions

ne10_result_t | ne10_abs_float_c (ne10_float32_t *dst, ne10_float32_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_float_neon (ne10_float32_t *dst, ne10_float32_t *src, ne10_uint32_t count) asm("ne10_abs_float_neon")
ne10_result_t | ne10_abs_float_asm (ne10_float32_t *dst, ne10_float32_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec2f_c (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec2f_neon (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) asm("ne10_abs_vec2f_neon")
ne10_result_t | ne10_abs_vec2f_asm (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec3f_c (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec3f_neon (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) asm("ne10_abs_vec3f_neon")
ne10_result_t | ne10_abs_vec3f_asm (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec4f_c (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_abs_vec4f_neon (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) asm("ne10_abs_vec4f_neon")
ne10_result_t | ne10_abs_vec4f_asm (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_abs_float )(ne10_float32_t *dst, ne10_float32_t *src, ne10_uint32_t count)
| Calculates the absolute value of each element in the source array and stores the result in the corresponding entry of the destination array.
ne10_result_t(* | ne10_abs_vec2f )(ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
| Generates a 2D vector from the absolute values of each of the components of an input vector.
ne10_result_t(* | ne10_abs_vec3f )(ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
| Generates a 3D vector from the absolute values of each of the components of an input vector.
ne10_result_t(* | ne10_abs_vec4f )(ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
| Generates a 4D vector from the absolute values of each of the components of an input vector.

## Detailed Description

  These functions implement vector abs operation for float data type.

## Function Documentation

## ne10_abs_float_c()

ne10_result_t ne10_abs_float_c | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 39 of file NE10_abs.c.

## ne10_abs_vec2f_c()

ne10_result_t ne10_abs_vec2f_c | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 47 of file NE10_abs.c.

## ne10_abs_vec3f_c()

ne10_result_t ne10_abs_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 56 of file NE10_abs.c.

## ne10_abs_vec4f_c()

ne10_result_t ne10_abs_vec4f_c | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 66 of file NE10_abs.c.

## Variable Documentation

## ne10_abs_float

ne10_result_t(* ne10_abs_float) (ne10_float32_t *dst, ne10_float32_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Calculates the absolute value of each element in the source array and stores the result in the corresponding entry of the destination array.

This function point could be pointed to one of ne10_abs_float_c, ne10_abs_float_neon and ne10_abs_float_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 253 of file NE10_init_math.c.

## ne10_abs_vec2f

ne10_result_t(* ne10_abs_vec2f) (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Generates a 2D vector from the absolute values of each of the components of an input vector.

This function point could be pointed to one of ne10_abs_vec2f_c, ne10_abs_vec2f_neon and ne10_abs_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 261 of file NE10_init_math.c.

## ne10_abs_vec3f

ne10_result_t(* ne10_abs_vec3f) (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Generates a 3D vector from the absolute values of each of the components of an input vector.

This function point could be pointed to one of ne10_abs_vec3f_c, ne10_abs_vec3f_neon and ne10_abs_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 262 of file NE10_init_math.c.

## ne10_abs_vec4f

ne10_result_t(* ne10_abs_vec4f) (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Generates a 4D vector from the absolute values of each of the components of an input vector.

This function point could be pointed to one of ne10_abs_vec4f_c, ne10_abs_vec4f_neon and ne10_abs_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 263 of file NE10_init_math.c.